---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Personal/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libiterheap001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2A90, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x55390, symBinAddr: 0x9200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x572D0, symBinAddr: 0xB140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x576C0, symBinAddr: 0xB530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x58660, symBinAddr: 0xC4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x58670, symBinAddr: 0xC4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x54FF0, symBinAddr: 0x90A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x54FF4, symBinAddr: 0x90A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x54FF8, symBinAddr: 0x90A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x55150, symBinAddr: 0x90B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x55208, symBinAddr: 0x9168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5520C, symBinAddr: 0x916C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x55210, symBinAddr: 0x9170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x55214, symBinAddr: 0x9174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x55218, symBinAddr: 0x9178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x55220, symBinAddr: 0x9180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x55230, symBinAddr: 0x9190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x55238, symBinAddr: 0x9198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x55240, symBinAddr: 0x91A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x55248, symBinAddr: 0x91A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x55250, symBinAddr: 0x91B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x55258, symBinAddr: 0x91B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL4info, symObjAddr: 0x5529C, symBinAddr: 0x91CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL13foundUntagged, symObjAddr: 0x552A0, symBinAddr: 0x91D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL12objectsCount, symObjAddr: 0x552A4, symBinAddr: 0x91D4, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL14objectDescList, symObjAddr: 0x552A8, symBinAddr: 0x91D8, symSize: 0x0 }
  - { offsetInCU: 0x9574, offset: 0x9574, size: 0x8, addend: 0x0, symName: __ZL12fakeUserData, symObjAddr: 0x552B0, symBinAddr: 0x91E0, symSize: 0x0 }
  - { offsetInCU: 0x958D, offset: 0x958D, size: 0x8, addend: 0x0, symName: __ZL13userDataError, symObjAddr: 0x552B4, symBinAddr: 0x91E4, symSize: 0x0 }
  - { offsetInCU: 0x95A6, offset: 0x95A6, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x552B8, symBinAddr: 0x91E8, symSize: 0x0 }
  - { offsetInCU: 0x95BF, offset: 0x95BF, size: 0x8, addend: 0x0, symName: __ZL11chainLength, symObjAddr: 0x552C0, symBinAddr: 0x91F0, symSize: 0x0 }
  - { offsetInCU: 0x9611, offset: 0x9611, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x1650, symSize: 0x80 }
  - { offsetInCU: 0x96A6, offset: 0x96A6, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x15A0, symSize: 0xB0 }
  - { offsetInCU: 0x9701, offset: 0x9701, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x14A0, symSize: 0x100 }
  - { offsetInCU: 0x9994, offset: 0x9994, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x16D0, symSize: 0xC0 }
  - { offsetInCU: 0x99E6, offset: 0x99E6, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x1790, symSize: 0x220 }
  - { offsetInCU: 0x9BCB, offset: 0x9BCB, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x19B0, symSize: 0xA0 }
  - { offsetInCU: 0x9C7E, offset: 0x9C7E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1A50, symSize: 0x110 }
  - { offsetInCU: 0x9D74, offset: 0x9D74, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1B60, symSize: 0x150 }
  - { offsetInCU: 0x9ED1, offset: 0x9ED1, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1CB0, symSize: 0x30 }
  - { offsetInCU: 0x9FB2, offset: 0x9FB2, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1CE0, symSize: 0x150 }
  - { offsetInCU: 0xA1AA, offset: 0xA1AA, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1E30, symSize: 0x160 }
  - { offsetInCU: 0xA46A, offset: 0xA46A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x1F90, symSize: 0x4A0 }
  - { offsetInCU: 0xA703, offset: 0xA703, size: 0x8, addend: 0x0, symName: _nsk_jvmti_findOptionIntValue, symObjAddr: 0x2860, symBinAddr: 0x2430, symSize: 0xE0 }
  - { offsetInCU: 0xA7C3, offset: 0xA7C3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2510, symSize: 0x1B0 }
  - { offsetInCU: 0xA9DE, offset: 0xA9DE, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x26C0, symSize: 0xA0 }
  - { offsetInCU: 0xAAD9, offset: 0xAAD9, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x2760, symSize: 0x20 }
  - { offsetInCU: 0xAB10, offset: 0xAB10, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x2780, symSize: 0x20 }
  - { offsetInCU: 0xAB47, offset: 0xAB47, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x27A0, symSize: 0x20 }
  - { offsetInCU: 0xACB6, offset: 0xACB6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x27C0, symSize: 0x1A0 }
  - { offsetInCU: 0xAFD2, offset: 0xAFD2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x2960, symSize: 0x130 }
  - { offsetInCU: 0xB182, offset: 0xB182, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2D00, symSize: 0x1B0 }
  - { offsetInCU: 0xB471, offset: 0xB471, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2EB0, symSize: 0x80 }
  - { offsetInCU: 0xB53A, offset: 0xB53A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2F30, symSize: 0x6A0 }
  - { offsetInCU: 0xC0CF, offset: 0xC0CF, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB110, symBinAddr: 0x51D0, symSize: 0xB0 }
  - { offsetInCU: 0xC146, offset: 0xC146, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x35D0, symSize: 0x70 }
  - { offsetInCU: 0xC202, offset: 0xC202, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x3640, symSize: 0xA0 }
  - { offsetInCU: 0xC30D, offset: 0xC30D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x36E0, symSize: 0x40 }
  - { offsetInCU: 0xC403, offset: 0xC403, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3720, symSize: 0x2B0 }
  - { offsetInCU: 0xC7A9, offset: 0xC7A9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x39D0, symSize: 0xC0 }
  - { offsetInCU: 0xC8EF, offset: 0xC8EF, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3A90, symSize: 0x10 }
  - { offsetInCU: 0xC9B1, offset: 0xC9B1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3AA0, symSize: 0x220 }
  - { offsetInCU: 0xCCAE, offset: 0xCCAE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3CC0, symSize: 0x10 }
  - { offsetInCU: 0xCD0B, offset: 0xCD0B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3CD0, symSize: 0x430 }
  - { offsetInCU: 0xD0EF, offset: 0xD0EF, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xA040, symBinAddr: 0x4100, symSize: 0x10 }
  - { offsetInCU: 0xD14C, offset: 0xD14C, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0xA050, symBinAddr: 0x4110, symSize: 0x1A0 }
  - { offsetInCU: 0xD261, offset: 0xD261, size: 0x8, addend: 0x0, symName: _callbackObjectFree, symObjAddr: 0xA1F0, symBinAddr: 0x42B0, symSize: 0x70 }
  - { offsetInCU: 0xD544, offset: 0xD544, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA260, symBinAddr: 0x4320, symSize: 0xEB0 }
  - { offsetInCU: 0xE770, offset: 0xE770, size: 0x8, addend: 0x0, symName: __ZL15getChainObjectsP9_jvmtiEnvP7JNIEnv_P8_jobjectP9_jfieldIDPKcS6_S8_iP16ObjectDescStructli, symObjAddr: 0xB530, symBinAddr: 0x55F0, symSize: 0x24E }
  - { offsetInCU: 0xEA71, offset: 0xEA71, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB1C0, symBinAddr: 0x5280, symSize: 0x370 }
...
